#ifndef _Handle_PBRep_TVertex_HeaderFile
#define _Handle_PBRep_TVertex_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TVertex_HeaderFile
#include <Handle_PTopoDS_TVertex.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TVertex);
class PBRep_TVertex;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_TVertex);

class Handle(PBRep_TVertex) : public Handle(PTopoDS_TVertex) {
  public:

    Handle(PBRep_TVertex)():Handle(PTopoDS_TVertex)() {} 
    Handle(PBRep_TVertex)(const Handle(PBRep_TVertex)& aHandle) : Handle(PTopoDS_TVertex)(aHandle) 
     {
     }

    Handle(PBRep_TVertex)(const PBRep_TVertex* anItem) : Handle(PTopoDS_TVertex)((PTopoDS_TVertex *)anItem) 
     {
     }

    Handle(PBRep_TVertex)& operator=(const Handle(PBRep_TVertex)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_TVertex)& operator=(const PBRep_TVertex* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_TVertex* operator->() const 
     {
      return (PBRep_TVertex *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_TVertex) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
